#include "SevSeg.h"

#define key_up 7
#define key_down 6

SevSeg sevseg; 

void setup() {
byte numDigits = 4;
byte digitPins[] = {13,12,11,A0};
byte segmentPins[] = {10,8,A4,A2,A1,9,A5,A3};
sevseg.begin(COMMON_CATHODE, numDigits, digitPins, segmentPins);
sevseg.setBrightness(90);
pinMode(key_up,INPUT_PULLUP);
pinMode(key_down,INPUT_PULLUP);

}

void loop() {
unsigned long time_count,last_time_count=0;
unsigned char key_press;
unsigned int cnt=0;

while(1){
if(digitalRead(key_up) == LOW) 
    {
    time_count=millis();
    
    if((time_count-last_time_count)>250) 
      {
      if (cnt<9999) cnt++; 
      last_time_count=time_count; }
    }
    
if(digitalRead(key_down) == LOW) 
    {
    time_count=millis();
    
    if((time_count-last_time_count)>250) 
      {
      if (cnt>0) cnt--; 
      last_time_count=time_count; }
    }

sevseg.setNumber(cnt);  
sevseg.refreshDisplay(); 
}
}
